#include<stdio.h>
int main()
{
	long long p,q,r,L,R,up,ur,uq,u,k,i;
	scanf("%d %d %d %d %d",&p,&q,&r,&L,&R);
	k=0;
	for(i=L;i<=R;i++){
		if(i%p!=0) up=(i/p)+1;
			else up=i/p;
		if(i%q!=0) uq=(i/q)+1;
			else uq=i/q;
		if(i%r!=0) ur=(i/r)+1;
			else ur=i/r;
		u=up+uq+ur;
		if(u<=i) k=k+1;

	}
	printf("%d",k);
}